<?php
namespace backend\models\searches;

use backend\models\MemberApi;
use Yii;
use yii\data\ArrayDataProvider;
use yii\data\Pagination;

class MemberSearch extends DataTable
{
    /**
     * @param array $params
     * @param int $type
     * @return ArrayDataProvider
     */
    public function search($params, $type)
    {
        $this->setAttributes($params);
        // 初始化DataTable查询参数
        $this->initSearchParams();

        $pagination = new Pagination();
        $pagination->setPageSize($this->pageSize);
        $data['pageSize'] = $pagination->getPageSize();
        $data['page'] = $this->page;
        if ($this->orderBy) {
            $data['orderBy'] = $this->orderBy;
        }
        if (!empty($this->search['value']) && trim($this->search['value']) !== '') {
            $data['search'] = trim($this->search['value']);
        }
        $data['type'] = $type;
        $api = new MemberApi();
        $result = $api->getList($data);
        $models = [];
        if ($result['code'] == 1) {
            $models = (array)$result['data']['dataList'];
            $pagination->totalCount = $result['data']['totalCount'];
        }
        $dataProvider = new ArrayDataProvider([
            'models' => $models,
            'pagination' => $pagination,
            'totalCount' => $pagination->totalCount,
        ]);
        return $dataProvider;
    }
}